aboutsummaryrefslogtreecommitdiff
path: root/x11/misc
diff options
context:
space:
mode:
Diffstat (limited to 'x11/misc')
-rwxr-xr-xx11/misc/entrance/entrance.SlackBuild8
-rw-r--r--x11/misc/xbindkeys/xbindkeys.SlackBuild8
2 files changed, 14 insertions, 2 deletions
diff --git a/x11/misc/entrance/entrance.SlackBuild b/x11/misc/entrance/entrance.SlackBuild
index 7e112c27..6b379518 100755
--- a/x11/misc/entrance/entrance.SlackBuild
+++ b/x11/misc/entrance/entrance.SlackBuild
@@ -150,11 +150,17 @@ entrance:
entrance:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/x11/misc/xbindkeys/xbindkeys.SlackBuild b/x11/misc/xbindkeys/xbindkeys.SlackBuild
index 80e12f66..17db5aeb 100644
--- a/x11/misc/xbindkeys/xbindkeys.SlackBuild
+++ b/x11/misc/xbindkeys/xbindkeys.SlackBuild
@@ -143,11 +143,17 @@ xbindkeys:
xbindkeys:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi